kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Stein <joe.st...@stealth.ly>
Subject Re: kafka_2.8.0-0.8.0 maven dependency
Date Thu, 12 Dec 2013 11:51:26 GMT
There is an open JIRA for it

to fix for now you can switch to

<dependency>
    <groupId>org.apache.kafka</groupId>
    <artifactId>kafka_2.10</artifactId>
    <version>0.8.0</version>
</dependency>

/*******************************************
 Joe Stein
 Founder, Principal Consultant
 Big Data Open Source Security LLC
 http://www.stealth.ly
 Twitter: @allthingshadoop <http://www.twitter.com/allthingshadoop>
********************************************/


On Thu, Dec 12, 2013 at 6:38 AM, Hanish Bansal <
hanish.bansal.agarwal@gmail.com> wrote:

> Hi All,
>
> I am upgrading my system from kafka-0.8.0 beta release to kafka 0.8.0 final
> release.
>
> I am using below maven dependency for kafka 0.8 final release:
>
> <dependency>
>     <groupId>org.apache.kafka</groupId>
>     <artifactId>kafka_2.8.0</artifactId>
>     <version>0.8.0</version>
> </dependency>
>
> When i am building my application, kafka 0.8.0 jar is automatically
> downloaded of size 6 KB in my local maven repository. But it is giving
> compilation error showing that producers , consumers classes are missing.
>
> In previous beta release size of kafka_2.8.0-0.8.0-beta1 jar was 2.4 MB and
> there was no compilation error.
>
> Is there any problem in maven dependency of kafka_2.8.0-0.8.0 ?
>
> Thanks in advance !!
>
> --
> *Thanks & Regards*
> *Hanish Bansal*
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message